Bug 40200 (SYLK) - SYLK Ignores Character Limits and Encoding
Summary: SYLK Ignores Character Limits and Encoding
Status: NEW
Alias: SYLK
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.3.1 rc
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Save
  Show dependency treegraph
 
Reported: 2011-08-18 08:05 UTC by Scott M. Sanders
Modified: 2019-10-22 02:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott M. Sanders 2011-08-18 08:05:33 UTC
The SYLK / Symbolic Link / Multiplan format has a character limit per cell of 255 characters. It is also encoded in ANSI.

LibreOffice and OpenOffice.org seem to ignore these, which is OK when used with them but not when you try to open a LibreOffice or OpenOffice.org-exported SYLK file in Excel or another SYLK app.
Comment 1 Scott M. Sanders 2011-08-18 10:04:52 UTC
My exported SYLK files from LibO and OOo seem to be encoded in Windows-1252.

Related: http://openoffice.org/bugzilla/show_bug.cgi?id=76602
Comment 2 Björn Michaelsen 2011-12-23 12:31:49 UTC Comment hidden (obsolete)
Comment 3 Scott M. Sanders 2011-12-30 07:46:56 UTC
This persists in 3.5.0beta2.
Comment 4 QA Administrators 2015-01-05 17:51:00 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-01-19 10:15:51 UTC
Confirmed this is still the case.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 5f6bdce0c0ac687f418821ce328f2987bf340cda
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-17_01:06:46
Comment 6 QA Administrators 2016-02-21 08:34:19 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-03-06 14:52:38 UTC Comment hidden (obsolete)
Comment 8 Thomas Lendo 2018-10-21 20:24:15 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from today
Comment 9 QA Administrators 2019-10-22 02:31:15 UTC
Dear Scott M. Sanders,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug